Package org.eclipse.jface.text

# Interface ITextViewerExtension6

All Known Implementing Classes:
  `ProjectionViewer`, `SourceViewer`, `TextConsoleViewer`, `TextViewer`

public interface ITextViewerExtension6
Extension interface for `ITextViewer`. Introduces the concept of text hyperlinks and adds access to the undo manager.

Since:
  3.1
See Also:
  - `IHyperlink`
  - `IHyperlinkDetector`

## Method Summary

Modifier and Type
Method
Description
`IUndoManager`
`getUndoManager()`
Returns this viewer's undo manager.
`void`
`setHyperlinkDetectors(IHyperlinkDetector[] hyperlinkDetectors, int eventStateMask)`
Sets this viewer's hyperlink detectors for the given state mask.

## Method Details

### setHyperlinkDetectors

void setHyperlinkDetectors(IHyperlinkDetector[] hyperlinkDetectors, int eventStateMask)
Sets this viewer's hyperlink detectors for the given state mask.

Parameters:
  `hyperlinkDetectors` - the new array of hyperlink detectors, `null` or an empty array to disable hyperlinking
  `eventStateMask` - the SWT event state mask to activate hyperlink mode

### getUndoManager

IUndoManager getUndoManager()
Returns this viewer's undo manager.

Returns:
  the undo manager or `null` if it has not been plugged-in
Since:
  3.1